@extends('layout.main')
@section('body')
    @php
        $menu = 'Data Penilaian';
        $pageTitle = 'Data Input Penilaian';
    @endphp

    @include('layout.navbar')
    @include('layout.sidebar')

    {{-- Main Content --}}
    <div class="main-container">
        <div class="pd-ltr-20 xs-pd-20-10">
            <div class="min-height-200px">
                <div class="page-header">
                    <div class="row">
                        <div class="col-md-6 col-sm-12">
                            <div class="title">
                                <h4>{{ $menu }}</h4>
                            </div>
                            <nav aria-label="breadcrumb" role="navigation">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="{{ route('dashboard.index') }}">Dashboard</a></li>
                                    @if (isset($pageTitle))
                                        <li class="breadcrumb-item active" aria-current="page">{{ $pageTitle }}</li>
                                    @else
                                        <li class="breadcrumb-item active" aria-current="page"></li>
                                    @endif
                                </ol>
                            </nav>
                        </div>
                    </div>
                </div>
                <div class="card-box mb-30">
                    <div class="pd-20">
                        <h4 class="text-blue h4 mb-0">Data Penilaian</h4>
                    </div>
                    <div class="pb-10">
                        <div class="table-responsive">
                            <table class="data-table table stripe hover nowrap">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Ekstrakurikuler</th>
                                        @foreach ($criterias as $criteria)
                                            <th>{{ $criteria->nama }}</th>
                                        @endforeach
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($extracuricullars as $extracuricullar)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $extracuricullar->nama }}</td>
                                            @foreach ($criterias as $criteria)
                                            <td>
                                                <select class="form-control" name="subcriteria[{{ $extracuricullar->id }}][{{ $criteria->id }}]">
                                                    <option value="" selected disabled>Pilih Sub Kriteria</option>
                                                    @foreach ($criteria->subCriteria as $subCriteria)
                                                        <option value="{{ $subCriteria->id }}">{{ $subCriteria->prioritas }} ({{ $subCriteria->nama }})</option>
                                                    @endforeach
                                                </select>
                                            </td>
                                            @endforeach
                                    @empty
                                        <tr>
                                            <td colspan="5" class="text-center">Tidak ada data.</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            <div class="col-sm-12">
                                <div class="input-group mb-3 mx-auto">
                                    <button id="transformButton" class="btn btn-primary btn-lg btn-block">Transformasi Nilai</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer-wrap pd-20 mb-20 card-box">
                <strong>Sistem Pendukung Keputusan Pemilihan Ekstrakurikuler Metode SMARTER</strong>
            </div>
        </div>
    </div>
    {{-- <script>
        $(document).ready(function(){
            $('select[name^="subcriteria"]').on('change', function(){
                var selectedSubCriterias = {};
                $('select[name^="subcriteria"]').each(function(){
                    var extracurricularId = $(this).data('extracurricular-id');
                    var criteriaId = $(this).data('criteria-id');
                    var subcriteriaId = $(this).val();
                    if (subcriteriaId) {
                        if (!selectedSubCriterias.hasOwnProperty(extracurricularId)) {
                            selectedSubCriterias[extracurricularId] = {};
                        }
                        selectedSubCriterias[extracurricularId][criteriaId] = subcriteriaId;
                    }
                });
                $('button#transformButton').data('selected-sub-criterias', JSON.stringify(selectedSubCriterias));
            });
        });
    </script>
    <script>
        $('#transformButton').on('click', function(){
            var selectedSubCriterias = $(this).data('selected-sub-criterias');
            $.ajax({
                type: 'POST',
                url: '{{ route('perhitungan.transformasiNilai') }}',
                data: {
                    _token: '{{ csrf_token() }}',
                    subcriteria: selectedSubCriterias
                },
                success: function(response){
                    // Tampilkan data bobot sub kriteria yang telah dihitung
                    $('#bobotSubKriteria').html(response);
                },
                error: function(xhr, status, error){
                    console.error(xhr.responseText);
                }
            });
        });
    </script> --}}
@endsection
